सामग्री पर जाएँ

MiniMax H3 Image to Video

इंटीग्रेट करें

मॉडल id minimax/h3/image-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/minimax/h3/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Ultra cinematic wide shot: A vast field of burning embers stretches into darkness. Suddenly, an enormous wall of fire races across the ground, sending billions of glowing sparks into the air. The flames twist into a gigantic rotating fire vortex hundreds of feet high. Molten embers, smoke, and liquid fire spiral together, naturally forging the word \"IGNITE\" from blazing flames. The letters burn brighter and brighter before erupting into a colossal shockwave that fills the screen with fire and incandescent particles. Hollywood fire simulation, ultra-realistic VFX, blockbuster title reveal.",
    "duration": 5,
    "resolution": "480P",
    "image": "https://content.doitong.com/dev-api/2026/10/21/req_j9dik7xsuoammbgw6brdgafv/0-YyIruCJVEfXsz3wKufKD7_kmRHee8d.png"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.25 250 API क्रेडिट इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
MiniMax इमेज से वीडियो 4K आउटपुट5–15 s4K तक #motion#first-last-frame

पहले फ़्रेम, अंतिम फ़्रेम या दोनों को 5 से 15 सेकंड के MiniMax H3 क्लिप में एनिमेट करता है, 4K तक।

उदाहरण

इनपुट
आउटपुट · ~36 s

प्रॉम्प्टUltra cinematic wide shot: A vast field of burning embers stretches into darkness. Suddenly, an enormous wall of fire races across the ground, sending billions of glowing sparks into the air. The flames twist into a gigantic rotating fire vortex hundreds of feet high. Molten embers, smoke, and liquid fire spiral together, naturally forging the word "IGNITE" from blazing flames. The letters burn brighter and brighter before erupting into a colossal shockwave that fills the screen with fire and incandescent particles. Hollywood fire simulation, ultra-realistic VFX, blockbuster title reveal.

5 s480P$0.25 · 250 API क्रेडिट

X पर @CharaspowerAI का प्रॉम्प्ट

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक 595 / 50000

वीडियो निर्माण के लिए टेक्स्ट निर्देश।

image_url
फ़ाइल ड्रॉप करें, या

आरंभिक फ़्रेम और आउटपुट कैनवास निर्धारित करने वाला वैकल्पिक इमेज URL। यदि केवल end_image_url दिया गया हो, तो उसका अंतिम फ़्रेम कैनवास निर्धारित करता है। दोनों में से कोई इमेज न होने पर निर्माण 16:9 के डिफ़ॉल्ट आस्पेक्ट रेशियो के साथ टेक्स्ट-टू-वीडियो का उपयोग करता है।

resolution

निर्मित वीडियो का रिज़ॉल्यूशन चुनें; 2K और 4K को 768P base को upscale करके प्राप्त किया जाता है। 480P या 768P चुनने पर native निर्माण का उपयोग होता है।

वीडियो की अवधि, सेकंड में मापी गई।

उन्नत prompt_expansion_mode · target_audio_url · end_image · seed
डिफ़ॉल्ट balanced

निर्माण से पहले प्रॉम्प्ट को फिर से लिखने का प्रयास: लगभग 30 सेकंड तक लगने वाले अधिक समृद्ध प्रॉम्प्ट के लिए 'quality' चुनें, या लगभग एक सेकंड में परिणाम के लिए 'fast'। 'balanced' में चयन प्रत्येक अनुरोध के अनुसार होता है; 'disabled' विस्तार बंद करता है।

फ़ाइल ड्रॉप करें, या

HTTP(S) URL या base64 data URI के माध्यम से दिया गया वैकल्पिक प्रतिस्थापन साउंडट्रैक; क्लिप कम से कम 2 सेकंड लंबी और 15 MB से अधिक बड़ी नहीं होनी चाहिए। दिया गया ऑडियो अपरिवर्तित प्लेबैक गति पर निर्मित साउंडट्रैक को बदल देता है: अतिरिक्त अवधि अंत से हटा दी जाती है और छोटी क्लिप में वीडियो से मिलाने के लिए मौन जोड़ा जाता है। असामान्य रूप से उच्च सैंपल दरों के लिए 96 kHz पर री-सैंपलिंग हो सकती है।

end_image_url
फ़ाइल ड्रॉप करें, या

वैकल्पिक अंतिम-फ़्रेम इमेज URL, जिसे शुरुआती इमेज के बिना भी उपयोग किया जा सकता है। इस केवल-अंतिम कीफ़्रेम मोड में यह इमेज आउटपुट कैनवास निर्धारित करती है।

यादृच्छिक निर्माण के लिए सीड; न देने पर इसे यादृच्छिक रूप से चुना जाता है।

POST /run/minimax/h3/image-to-video?wait=20 कोटेशन → $0.25
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/minimax/h3/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Ultra cinematic wide shot: A vast field of burning embers stretches into darkness. Suddenly, an enormous wall of fire races across the ground, sending billions of glowing sparks into the air. The flames twist into a gigantic rotating fire vortex hundreds of feet high. Molten embers, smoke, and liquid fire spiral together, naturally forging the word \"IGNITE\" from blazing flames. The letters burn brighter and brighter before erupting into a colossal shockwave that fills the screen with fire and incandescent particles. Hollywood fire simulation, ultra-realistic VFX, blockbuster title reveal.",
    "duration": 5,
    "resolution": "480P",
    "image": "https://content.doitong.com/dev-api/2026/10/21/req_j9dik7xsuoammbgw6brdgafv/0-YyIruCJVEfXsz3wKufKD7_kmRHee8d.png"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

MiniMax H3 Image to Video के बारे में

MiniMax H3 पहले फ़्रेम, अंतिम फ़्रेम या दोनों को लेकर जीवंत, अभिव्यंजक गति भरता है; कैनवास आपके द्वारा दी गई इमेज के अनुसार होता है। नेटिव 480P या 768P, 768P परिणाम के 2K और 4K अपस्केल के साथ, 5 से 15 सेकंड, वैकल्पिक प्रॉम्प्ट पुनर्लेखन और साउंडट्रैक के रूप में स्थिर करने के लिए वैकल्पिक ऑडियो ट्रैक।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptआवश्यक
प्रकारstring
≤ 50,000 अक्षर
वीडियो निर्माण के लिए टेक्स्ट निर्देश।
durationवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट5
5 – 15
वीडियो की अवधि, सेकंड में मापी गई।
resolutionवैकल्पिक
प्रकारenum
डिफ़ॉल्ट2K
480P768P2K4K
निर्मित वीडियो का रिज़ॉल्यूशन चुनें; 2K और 4K को 768P base को upscale करके प्राप्त किया जाता है। 480P या 768P चुनने पर native निर्माण का उपयोग होता है।
seedवैकल्पिक
प्रकारinteger | null
यादृच्छिक निर्माण के लिए सीड; न देने पर इसे यादृच्छिक रूप से चुना जाता है।
prompt_expansion_modeवैकल्पिक
प्रकारstring | null
डिफ़ॉल्टbalanced
निर्माण से पहले प्रॉम्प्ट को फिर से लिखने का प्रयास: लगभग 30 सेकंड तक लगने वाले अधिक समृद्ध प्रॉम्प्ट के लिए 'quality' चुनें, या लगभग एक सेकंड में परिणाम के लिए 'fast'। 'balanced' में चयन प्रत्येक अनुरोध के अनुसार होता है; 'disabled' विस्तार बंद करता है।
target_audio_urlवैकल्पिक
प्रकारurl · audio
HTTP(S) URL या base64 data URI के माध्यम से दिया गया वैकल्पिक प्रतिस्थापन साउंडट्रैक; क्लिप कम से कम 2 सेकंड लंबी और 15 MB से अधिक बड़ी नहीं होनी चाहिए। दिया गया ऑडियो अपरिवर्तित प्लेबैक गति पर निर्मित साउंडट्रैक को बदल देता है: अतिरिक्त अवधि अंत से हटा दी जाती है और छोटी क्लिप में वीडियो से मिलाने के लिए मौन जोड़ा जाता है। असामान्य रूप से उच्च सैंपल दरों के लिए 96 kHz पर री-सैंपलिंग हो सकती है।
image_urlवैकल्पिक image
प्रकारurl · image
आरंभिक फ़्रेम और आउटपुट कैनवास निर्धारित करने वाला वैकल्पिक इमेज URL। यदि केवल end_image_url दिया गया हो, तो उसका अंतिम फ़्रेम कैनवास निर्धारित करता है। दोनों में से कोई इमेज न होने पर निर्माण 16:9 के डिफ़ॉल्ट आस्पेक्ट रेशियो के साथ टेक्स्ट-टू-वीडियो का उपयोग करता है।
end_image_urlवैकल्पिक end_image
प्रकारurl · image
वैकल्पिक अंतिम-फ़्रेम इमेज URL, जिसे शुरुआती इमेज के बिना भी उपयोग किया जा सकता है। इस केवल-अंतिम कीफ़्रेम मोड में यह इमेज आउटपुट कैनवास निर्धारित करती है।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "minimax/h3/image-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 250,
    "usd": "0.25",
    "charged": 250,
    "refunded": 0
  },
  "input": {
    "prompt": "The camera slowly pulls back as the fox runs off the path into the misty forest, fireflies scatter",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "duration": 6,
    "resolution": "768P"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "expanded_prompt": "string"
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
video
object {url, content_type, file_name, file_size}मॉडल द्वारा निर्मित वीडियो।
expanded_prompt
string | nullमॉडल के लिए तैयार विस्तारित प्रॉम्प्ट, या विस्तारित टेक्स्ट उपलब्ध न होने पर null। null स्थितियों में अक्षम विस्तार, ऐसा विस्तार जिससे कोई परिवर्तन न हुआ हो, और मॉडल के होस्टेड API द्वारा आंतरिक रूप से संभाला गया विस्तार शामिल हैं।

और मॉडल: इमेज से वीडियो

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/minimax/h3/image-to-video.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt